Localized attributes
Update localizedAttributes
cURL
curl \
-X PUT 'MEILISEARCH_URL/indexes/INDEX_NAME/settings/localized-attributes' \
-H 'Content-Type: application/json' \
--data-binary '[\
{"locales": ["jpn"], "attributePatterns": ["*_ja"]}\
]'
Response Status Codes
- 202
- 401
- 404
{
"taskUid": 147,
"indexUid": "movies",
"status": "enqueued",
"type": "settingsUpdate",
"enqueuedAt": "2024-08-08T17:05:55.791772Z"
}
API Path
PUT
/
indexes
/
{index_uid}
/
settings
/
localized-attributes
Body
attributePatterns: string[] (required)- Patterns to match attribute names.
locales: enum[] (required)- The list of locales (languages) to apply to matching attributes.
Example Body
{
"attributePatterns": ["*_ja"],
"locales": ["jpn"]
}
Documentation Index
Fetch the complete documentation index at: https://www.meilisearch.com/docs/llms.txt
Authorizations
Authorization: string (header, required)- An API key to provide when making API calls.
Example:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
Response
A summarized view of a task, returned when a task is enqueued:
taskUid: integer(required) status: enum(required) type: enum(required) enqueuedAt: string(required) indexUid: string | nullcustomMetadata: string | null
Response Body Example
{
"taskUid": 147,
"status": "enqueued",
"type": "settingsUpdate",
"enqueuedAt": "2024-08-08T17:05:55.791772Z"
}